Package org.h2gis.functions.spatial.topography

## Class TINFeatureFactory

- java.lang.Object
- - org.h2gis.functions.spatial.topography.TINFeatureFactory

    public final class TINFeatureFactory
    extends Object

A factory used to create triangles from JTS geometries.

Author:
  Erwan Bocher

### Field Summary

Fields
`static double` `EPSILON`

### Method Summary

All Methods Static Methods Concrete Methods
`static org.locationtech.jts.geom.Triangle` `createTriangle​(org.locationtech.jts.geom.Geometry geom)` A factory to create a DTriangle from a Geometry

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EPSILON

    public static final double EPSILON

See Also:
  Constant Field Values

### Method Detail

#### createTriangle

    public static org.locationtech.jts.geom.Triangle createTriangle​(org.locationtech.jts.geom.Geometry geom)
                                                             throws IllegalArgumentException

A factory to create a DTriangle from a Geometry

Parameters:
  `geom` - `Geometry`
Returns:
  Triangle
Throws:
  `IllegalArgumentException` - If there are not exactly 3 coordinates in geom.